published on Thursday, May 7, 2026 by rootlyhq
published on Thursday, May 7, 2026 by rootlyhq
Important Notes
Required Alert Source Fields
When configuring alert sources, the following alert source fields are required and cannot be deleted:
title- Alert title fielddescription- Alert description fieldexternalUrl- Alert source URL/external URL field
Important: You must use data sources (not resources) to reference these required alert fields, as they cannot be modified or deleted by users. See the example below for the correct implementation.
Example Usage
# Required: Use data sources for title, description, and external_url fields
data "rootly_alert_field" "title_field" {
kind = "title"
}
data "rootly_alert_field" "description_field" {
kind = "description"
}
data "rootly_alert_field" "source_link_field" {
kind = "external_url"
}
resource "rootly_alerts_source" "example" {
name = "Generic webhook source"
source_type = "generic_webhook"
# Required alert source fields: title, description, and external_url
# template_body can be omitted if you want to use the default value for the alert source field
alert_source_fields_attributes {
alert_field_id = data.rootly_alert_field.title_field.id
template_body = "Server exploded"
}
alert_source_fields_attributes {
alert_field_id = data.rootly_alert_field.description_field.id
template_body = "Datacenter is burning down."
}
alert_source_fields_attributes {
alert_field_id = data.rootly_alert_field.source_link_field.id
template_body = "https://rootly.com"
}
sourceable_attributes {
auto_resolve = true
resolve_state = "$.status"
field_mappings_attributes {
field = "state"
json_path = "$.my_group_attribute"
}
field_mappings_attributes {
field = "external_id"
json_path = "$.my_id_attribute"
}
}
resolution_rule_attributes {
enabled = true
condition_type = "and"
identifier_json_path = "$.email.subject"
identifier_value_regex = "ID:\\s*(\\w+)"
conditions_attributes {
field = "$.email.body"
operator = "contains"
value = "RESOLVED"
}
conditions_attributes {
field = "$.email.body"
operator = "does_not_contain"
value = "ERROR"
}
}
}
Create AlertsSource Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new AlertsSource(name: string, args?: AlertsSourceArgs, opts?: CustomResourceOptions);@overload
def AlertsSource(resource_name: str,
args: Optional[AlertsSourceArgs] = None,
opts: Optional[ResourceOptions] = None)
@overload
def AlertsSource(resource_name: str,
opts: Optional[ResourceOptions] = None,
alert_source_fields_attributes: Optional[Sequence[AlertsSourceAlertSourceFieldsAttributeArgs]] = None,
alert_source_urgency_rules_attributes: Optional[Sequence[AlertsSourceAlertSourceUrgencyRulesAttributeArgs]] = None,
alert_template_attributes: Optional[AlertsSourceAlertTemplateAttributesArgs] = None,
alert_urgency_id: Optional[str] = None,
deduplicate_alerts_by_key: Optional[bool] = None,
deduplication_key_kind: Optional[str] = None,
deduplication_key_path: Optional[str] = None,
deduplication_key_regexp: Optional[str] = None,
email: Optional[str] = None,
name: Optional[str] = None,
owner_group_ids: Optional[Sequence[str]] = None,
resolution_rule_attributes: Optional[AlertsSourceResolutionRuleAttributesArgs] = None,
secret: Optional[str] = None,
source_type: Optional[str] = None,
sourceable_attributes: Optional[AlertsSourceSourceableAttributesArgs] = None,
status: Optional[str] = None,
webhook_endpoint: Optional[str] = None)func NewAlertsSource(ctx *Context, name string, args *AlertsSourceArgs, opts ...ResourceOption) (*AlertsSource, error)public AlertsSource(string name, AlertsSourceArgs? args = null, CustomResourceOptions? opts = null)
public AlertsSource(String name, AlertsSourceArgs args)
public AlertsSource(String name, AlertsSourceArgs args, CustomResourceOptions options)
type: rootly:AlertsSource
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args AlertsSourceArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args AlertsSourceArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args AlertsSourceArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args AlertsSourceArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args AlertsSourceArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var alertsSourceResource = new Rootly.AlertsSource("alertsSourceResource", new()
{
AlertSourceFieldsAttributes = new[]
{
new Rootly.Inputs.AlertsSourceAlertSourceFieldsAttributeArgs
{
AlertFieldId = "string",
TemplateBody = "string",
},
},
AlertSourceUrgencyRulesAttributes = new[]
{
new Rootly.Inputs.AlertsSourceAlertSourceUrgencyRulesAttributeArgs
{
AlertUrgencyId = "string",
ConditionableId = "string",
ConditionableType = "string",
JsonPath = "string",
Kind = "string",
Operator = "string",
Value = "string",
},
},
AlertTemplateAttributes = new Rootly.Inputs.AlertsSourceAlertTemplateAttributesArgs
{
Description = "string",
ExternalUrl = "string",
Title = "string",
},
AlertUrgencyId = "string",
DeduplicateAlertsByKey = false,
DeduplicationKeyKind = "string",
DeduplicationKeyPath = "string",
DeduplicationKeyRegexp = "string",
Email = "string",
Name = "string",
OwnerGroupIds = new[]
{
"string",
},
ResolutionRuleAttributes = new Rootly.Inputs.AlertsSourceResolutionRuleAttributesArgs
{
ConditionType = "string",
ConditionsAttributes = new[]
{
new Rootly.Inputs.AlertsSourceResolutionRuleAttributesConditionsAttributeArgs
{
ConditionableId = "string",
ConditionableType = "string",
Field = "string",
Kind = "string",
Operator = "string",
Value = "string",
},
},
Enabled = false,
IdentifierJsonPath = "string",
IdentifierMatchableId = "string",
IdentifierMatchableType = "string",
IdentifierReferenceKind = "string",
IdentifierValueRegex = "string",
},
Secret = "string",
SourceType = "string",
SourceableAttributes = new Rootly.Inputs.AlertsSourceSourceableAttributesArgs
{
AcceptThreadedEmails = false,
AutoResolve = false,
FieldMappingsAttributes = new[]
{
new Rootly.Inputs.AlertsSourceSourceableAttributesFieldMappingsAttributeArgs
{
Field = "string",
JsonPath = "string",
},
},
ResolveState = "string",
},
Status = "string",
WebhookEndpoint = "string",
});
example, err := rootly.NewAlertsSource(ctx, "alertsSourceResource", &rootly.AlertsSourceArgs{
AlertSourceFieldsAttributes: rootly.AlertsSourceAlertSourceFieldsAttributeArray{
&rootly.AlertsSourceAlertSourceFieldsAttributeArgs{
AlertFieldId: pulumi.String("string"),
TemplateBody: pulumi.String("string"),
},
},
AlertSourceUrgencyRulesAttributes: rootly.AlertsSourceAlertSourceUrgencyRulesAttributeArray{
&rootly.AlertsSourceAlertSourceUrgencyRulesAttributeArgs{
AlertUrgencyId: pulumi.String("string"),
ConditionableId: pulumi.String("string"),
ConditionableType: pulumi.String("string"),
JsonPath: pulumi.String("string"),
Kind: pulumi.String("string"),
Operator: pulumi.String("string"),
Value: pulumi.String("string"),
},
},
AlertTemplateAttributes: &rootly.AlertsSourceAlertTemplateAttributesArgs{
Description: pulumi.String("string"),
ExternalUrl: pulumi.String("string"),
Title: pulumi.String("string"),
},
AlertUrgencyId: pulumi.String("string"),
DeduplicateAlertsByKey: pulumi.Bool(false),
DeduplicationKeyKind: pulumi.String("string"),
DeduplicationKeyPath: pulumi.String("string"),
DeduplicationKeyRegexp: pulumi.String("string"),
Email: pulumi.String("string"),
Name: pulumi.String("string"),
OwnerGroupIds: pulumi.StringArray{
pulumi.String("string"),
},
ResolutionRuleAttributes: &rootly.AlertsSourceResolutionRuleAttributesArgs{
ConditionType: pulumi.String("string"),
ConditionsAttributes: rootly.AlertsSourceResolutionRuleAttributesConditionsAttributeArray{
&rootly.AlertsSourceResolutionRuleAttributesConditionsAttributeArgs{
ConditionableId: pulumi.String("string"),
ConditionableType: pulumi.String("string"),
Field: pulumi.String("string"),
Kind: pulumi.String("string"),
Operator: pulumi.String("string"),
Value: pulumi.String("string"),
},
},
Enabled: pulumi.Bool(false),
IdentifierJsonPath: pulumi.String("string"),
IdentifierMatchableId: pulumi.String("string"),
IdentifierMatchableType: pulumi.String("string"),
IdentifierReferenceKind: pulumi.String("string"),
IdentifierValueRegex: pulumi.String("string"),
},
Secret: pulumi.String("string"),
SourceType: pulumi.String("string"),
SourceableAttributes: &rootly.AlertsSourceSourceableAttributesArgs{
AcceptThreadedEmails: pulumi.Bool(false),
AutoResolve: pulumi.Bool(false),
FieldMappingsAttributes: rootly.AlertsSourceSourceableAttributesFieldMappingsAttributeArray{
&rootly.AlertsSourceSourceableAttributesFieldMappingsAttributeArgs{
Field: pulumi.String("string"),
JsonPath: pulumi.String("string"),
},
},
ResolveState: pulumi.String("string"),
},
Status: pulumi.String("string"),
WebhookEndpoint: pulumi.String("string"),
})
var alertsSourceResource = new AlertsSource("alertsSourceResource", AlertsSourceArgs.builder()
.alertSourceFieldsAttributes(AlertsSourceAlertSourceFieldsAttributeArgs.builder()
.alertFieldId("string")
.templateBody("string")
.build())
.alertSourceUrgencyRulesAttributes(AlertsSourceAlertSourceUrgencyRulesAttributeArgs.builder()
.alertUrgencyId("string")
.conditionableId("string")
.conditionableType("string")
.jsonPath("string")
.kind("string")
.operator("string")
.value("string")
.build())
.alertTemplateAttributes(AlertsSourceAlertTemplateAttributesArgs.builder()
.description("string")
.externalUrl("string")
.title("string")
.build())
.alertUrgencyId("string")
.deduplicateAlertsByKey(false)
.deduplicationKeyKind("string")
.deduplicationKeyPath("string")
.deduplicationKeyRegexp("string")
.email("string")
.name("string")
.ownerGroupIds("string")
.resolutionRuleAttributes(AlertsSourceResolutionRuleAttributesArgs.builder()
.conditionType("string")
.conditionsAttributes(AlertsSourceResolutionRuleAttributesConditionsAttributeArgs.builder()
.conditionableId("string")
.conditionableType("string")
.field("string")
.kind("string")
.operator("string")
.value("string")
.build())
.enabled(false)
.identifierJsonPath("string")
.identifierMatchableId("string")
.identifierMatchableType("string")
.identifierReferenceKind("string")
.identifierValueRegex("string")
.build())
.secret("string")
.sourceType("string")
.sourceableAttributes(AlertsSourceSourceableAttributesArgs.builder()
.acceptThreadedEmails(false)
.autoResolve(false)
.fieldMappingsAttributes(AlertsSourceSourceableAttributesFieldMappingsAttributeArgs.builder()
.field("string")
.jsonPath("string")
.build())
.resolveState("string")
.build())
.status("string")
.webhookEndpoint("string")
.build());
alerts_source_resource = rootly.AlertsSource("alertsSourceResource",
alert_source_fields_attributes=[{
"alert_field_id": "string",
"template_body": "string",
}],
alert_source_urgency_rules_attributes=[{
"alert_urgency_id": "string",
"conditionable_id": "string",
"conditionable_type": "string",
"json_path": "string",
"kind": "string",
"operator": "string",
"value": "string",
}],
alert_template_attributes={
"description": "string",
"external_url": "string",
"title": "string",
},
alert_urgency_id="string",
deduplicate_alerts_by_key=False,
deduplication_key_kind="string",
deduplication_key_path="string",
deduplication_key_regexp="string",
email="string",
name="string",
owner_group_ids=["string"],
resolution_rule_attributes={
"condition_type": "string",
"conditions_attributes": [{
"conditionable_id": "string",
"conditionable_type": "string",
"field": "string",
"kind": "string",
"operator": "string",
"value": "string",
}],
"enabled": False,
"identifier_json_path": "string",
"identifier_matchable_id": "string",
"identifier_matchable_type": "string",
"identifier_reference_kind": "string",
"identifier_value_regex": "string",
},
secret="string",
source_type="string",
sourceable_attributes={
"accept_threaded_emails": False,
"auto_resolve": False,
"field_mappings_attributes": [{
"field": "string",
"json_path": "string",
}],
"resolve_state": "string",
},
status="string",
webhook_endpoint="string")
const alertsSourceResource = new rootly.AlertsSource("alertsSourceResource", {
alertSourceFieldsAttributes: [{
alertFieldId: "string",
templateBody: "string",
}],
alertSourceUrgencyRulesAttributes: [{
alertUrgencyId: "string",
conditionableId: "string",
conditionableType: "string",
jsonPath: "string",
kind: "string",
operator: "string",
value: "string",
}],
alertTemplateAttributes: {
description: "string",
externalUrl: "string",
title: "string",
},
alertUrgencyId: "string",
deduplicateAlertsByKey: false,
deduplicationKeyKind: "string",
deduplicationKeyPath: "string",
deduplicationKeyRegexp: "string",
email: "string",
name: "string",
ownerGroupIds: ["string"],
resolutionRuleAttributes: {
conditionType: "string",
conditionsAttributes: [{
conditionableId: "string",
conditionableType: "string",
field: "string",
kind: "string",
operator: "string",
value: "string",
}],
enabled: false,
identifierJsonPath: "string",
identifierMatchableId: "string",
identifierMatchableType: "string",
identifierReferenceKind: "string",
identifierValueRegex: "string",
},
secret: "string",
sourceType: "string",
sourceableAttributes: {
acceptThreadedEmails: false,
autoResolve: false,
fieldMappingsAttributes: [{
field: "string",
jsonPath: "string",
}],
resolveState: "string",
},
status: "string",
webhookEndpoint: "string",
});
type: rootly:AlertsSource
properties:
alertSourceFieldsAttributes:
- alertFieldId: string
templateBody: string
alertSourceUrgencyRulesAttributes:
- alertUrgencyId: string
conditionableId: string
conditionableType: string
jsonPath: string
kind: string
operator: string
value: string
alertTemplateAttributes:
description: string
externalUrl: string
title: string
alertUrgencyId: string
deduplicateAlertsByKey: false
deduplicationKeyKind: string
deduplicationKeyPath: string
deduplicationKeyRegexp: string
email: string
name: string
ownerGroupIds:
- string
resolutionRuleAttributes:
conditionType: string
conditionsAttributes:
- conditionableId: string
conditionableType: string
field: string
kind: string
operator: string
value: string
enabled: false
identifierJsonPath: string
identifierMatchableId: string
identifierMatchableType: string
identifierReferenceKind: string
identifierValueRegex: string
secret: string
sourceType: string
sourceableAttributes:
acceptThreadedEmails: false
autoResolve: false
fieldMappingsAttributes:
- field: string
jsonPath: string
resolveState: string
status: string
webhookEndpoint: string
AlertsSource Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The AlertsSource resource accepts the following input properties:
- Alert
Source List<AlertsFields Attributes Source Alert Source Fields Attribute> - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- Alert
Source List<AlertsUrgency Rules Attributes Source Alert Source Urgency Rules Attribute> - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- Alert
Template AlertsAttributes Source Alert Template Attributes - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - Alert
Urgency stringId - ID for the default alert urgency assigned to this alert source
- Deduplicate
Alerts boolBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- Deduplication
Key stringKind - Kind of deduplication key.. Value must be one of
payload. - Deduplication
Key stringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- Deduplication
Key stringRegexp - Regular expression to extract key from value found at key path.
- Email string
- The email generated for email alert sources
- Name string
- The name of the alert source
- Owner
Group List<string>Ids - List of team IDs that will own the alert source
- Resolution
Rule AlertsAttributes Source Resolution Rule Attributes - Provide additional attributes for email alerts source
- Secret string
- The secret used to authenticate non-email alert sources
- Source
Type string - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - Sourceable
Attributes AlertsSource Sourceable Attributes - Provide additional attributes for generic*webhook alerts source
- Status string
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - Webhook
Endpoint string - The webhook URL generated for non-email alert sources
- Alert
Source []AlertsFields Attributes Source Alert Source Fields Attribute Args - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- Alert
Source []AlertsUrgency Rules Attributes Source Alert Source Urgency Rules Attribute Args - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- Alert
Template AlertsAttributes Source Alert Template Attributes Args - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - Alert
Urgency stringId - ID for the default alert urgency assigned to this alert source
- Deduplicate
Alerts boolBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- Deduplication
Key stringKind - Kind of deduplication key.. Value must be one of
payload. - Deduplication
Key stringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- Deduplication
Key stringRegexp - Regular expression to extract key from value found at key path.
- Email string
- The email generated for email alert sources
- Name string
- The name of the alert source
- Owner
Group []stringIds - List of team IDs that will own the alert source
- Resolution
Rule AlertsAttributes Source Resolution Rule Attributes Args - Provide additional attributes for email alerts source
- Secret string
- The secret used to authenticate non-email alert sources
- Source
Type string - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - Sourceable
Attributes AlertsSource Sourceable Attributes Args - Provide additional attributes for generic*webhook alerts source
- Status string
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - Webhook
Endpoint string - The webhook URL generated for non-email alert sources
- alert
Source List<AlertsFields Attributes Source Alert Source Fields Attribute> - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- alert
Source List<AlertsUrgency Rules Attributes Source Alert Source Urgency Rules Attribute> - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- alert
Template AlertsAttributes Source Alert Template Attributes - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - alert
Urgency StringId - ID for the default alert urgency assigned to this alert source
- deduplicate
Alerts BooleanBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- deduplication
Key StringKind - Kind of deduplication key.. Value must be one of
payload. - deduplication
Key StringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- deduplication
Key StringRegexp - Regular expression to extract key from value found at key path.
- email String
- The email generated for email alert sources
- name String
- The name of the alert source
- owner
Group List<String>Ids - List of team IDs that will own the alert source
- resolution
Rule AlertsAttributes Source Resolution Rule Attributes - Provide additional attributes for email alerts source
- secret String
- The secret used to authenticate non-email alert sources
- source
Type String - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - sourceable
Attributes AlertsSource Sourceable Attributes - Provide additional attributes for generic*webhook alerts source
- status String
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - webhook
Endpoint String - The webhook URL generated for non-email alert sources
- alert
Source AlertsFields Attributes Source Alert Source Fields Attribute[] - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- alert
Source AlertsUrgency Rules Attributes Source Alert Source Urgency Rules Attribute[] - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- alert
Template AlertsAttributes Source Alert Template Attributes - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - alert
Urgency stringId - ID for the default alert urgency assigned to this alert source
- deduplicate
Alerts booleanBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- deduplication
Key stringKind - Kind of deduplication key.. Value must be one of
payload. - deduplication
Key stringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- deduplication
Key stringRegexp - Regular expression to extract key from value found at key path.
- email string
- The email generated for email alert sources
- name string
- The name of the alert source
- owner
Group string[]Ids - List of team IDs that will own the alert source
- resolution
Rule AlertsAttributes Source Resolution Rule Attributes - Provide additional attributes for email alerts source
- secret string
- The secret used to authenticate non-email alert sources
- source
Type string - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - sourceable
Attributes AlertsSource Sourceable Attributes - Provide additional attributes for generic*webhook alerts source
- status string
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - webhook
Endpoint string - The webhook URL generated for non-email alert sources
- alert_
source_ Sequence[Alertsfields_ attributes Source Alert Source Fields Attribute Args] - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- alert_
source_ Sequence[Alertsurgency_ rules_ attributes Source Alert Source Urgency Rules Attribute Args] - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- alert_
template_ Alertsattributes Source Alert Template Attributes Args - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - alert_
urgency_ strid - ID for the default alert urgency assigned to this alert source
- deduplicate_
alerts_ boolby_ key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- deduplication_
key_ strkind - Kind of deduplication key.. Value must be one of
payload. - deduplication_
key_ strpath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- deduplication_
key_ strregexp - Regular expression to extract key from value found at key path.
- email str
- The email generated for email alert sources
- name str
- The name of the alert source
- owner_
group_ Sequence[str]ids - List of team IDs that will own the alert source
- resolution_
rule_ Alertsattributes Source Resolution Rule Attributes Args - Provide additional attributes for email alerts source
- secret str
- The secret used to authenticate non-email alert sources
- source_
type str - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - sourceable_
attributes AlertsSource Sourceable Attributes Args - Provide additional attributes for generic*webhook alerts source
- status str
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - webhook_
endpoint str - The webhook URL generated for non-email alert sources
- alert
Source List<Property Map>Fields Attributes - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- alert
Source List<Property Map>Urgency Rules Attributes - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- alert
Template Property MapAttributes - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - alert
Urgency StringId - ID for the default alert urgency assigned to this alert source
- deduplicate
Alerts BooleanBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- deduplication
Key StringKind - Kind of deduplication key.. Value must be one of
payload. - deduplication
Key StringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- deduplication
Key StringRegexp - Regular expression to extract key from value found at key path.
- email String
- The email generated for email alert sources
- name String
- The name of the alert source
- owner
Group List<String>Ids - List of team IDs that will own the alert source
- resolution
Rule Property MapAttributes - Provide additional attributes for email alerts source
- secret String
- The secret used to authenticate non-email alert sources
- source
Type String - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - sourceable
Attributes Property Map - Provide additional attributes for generic*webhook alerts source
- status String
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - webhook
Endpoint String - The webhook URL generated for non-email alert sources
Outputs
All input properties are implicitly available as output properties. Additionally, the AlertsSource resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing AlertsSource Resource
Get an existing AlertsSource resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: AlertsSourceState, opts?: CustomResourceOptions): AlertsSource@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
alert_source_fields_attributes: Optional[Sequence[AlertsSourceAlertSourceFieldsAttributeArgs]] = None,
alert_source_urgency_rules_attributes: Optional[Sequence[AlertsSourceAlertSourceUrgencyRulesAttributeArgs]] = None,
alert_template_attributes: Optional[AlertsSourceAlertTemplateAttributesArgs] = None,
alert_urgency_id: Optional[str] = None,
deduplicate_alerts_by_key: Optional[bool] = None,
deduplication_key_kind: Optional[str] = None,
deduplication_key_path: Optional[str] = None,
deduplication_key_regexp: Optional[str] = None,
email: Optional[str] = None,
name: Optional[str] = None,
owner_group_ids: Optional[Sequence[str]] = None,
resolution_rule_attributes: Optional[AlertsSourceResolutionRuleAttributesArgs] = None,
secret: Optional[str] = None,
source_type: Optional[str] = None,
sourceable_attributes: Optional[AlertsSourceSourceableAttributesArgs] = None,
status: Optional[str] = None,
webhook_endpoint: Optional[str] = None) -> AlertsSourcefunc GetAlertsSource(ctx *Context, name string, id IDInput, state *AlertsSourceState, opts ...ResourceOption) (*AlertsSource, error)public static AlertsSource Get(string name, Input<string> id, AlertsSourceState? state, CustomResourceOptions? opts = null)public static AlertsSource get(String name, Output<String> id, AlertsSourceState state, CustomResourceOptions options)resources: _: type: rootly:AlertsSource get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Alert
Source List<AlertsFields Attributes Source Alert Source Fields Attribute> - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- Alert
Source List<AlertsUrgency Rules Attributes Source Alert Source Urgency Rules Attribute> - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- Alert
Template AlertsAttributes Source Alert Template Attributes - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - Alert
Urgency stringId - ID for the default alert urgency assigned to this alert source
- Deduplicate
Alerts boolBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- Deduplication
Key stringKind - Kind of deduplication key.. Value must be one of
payload. - Deduplication
Key stringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- Deduplication
Key stringRegexp - Regular expression to extract key from value found at key path.
- Email string
- The email generated for email alert sources
- Name string
- The name of the alert source
- Owner
Group List<string>Ids - List of team IDs that will own the alert source
- Resolution
Rule AlertsAttributes Source Resolution Rule Attributes - Provide additional attributes for email alerts source
- Secret string
- The secret used to authenticate non-email alert sources
- Source
Type string - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - Sourceable
Attributes AlertsSource Sourceable Attributes - Provide additional attributes for generic*webhook alerts source
- Status string
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - Webhook
Endpoint string - The webhook URL generated for non-email alert sources
- Alert
Source []AlertsFields Attributes Source Alert Source Fields Attribute Args - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- Alert
Source []AlertsUrgency Rules Attributes Source Alert Source Urgency Rules Attribute Args - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- Alert
Template AlertsAttributes Source Alert Template Attributes Args - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - Alert
Urgency stringId - ID for the default alert urgency assigned to this alert source
- Deduplicate
Alerts boolBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- Deduplication
Key stringKind - Kind of deduplication key.. Value must be one of
payload. - Deduplication
Key stringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- Deduplication
Key stringRegexp - Regular expression to extract key from value found at key path.
- Email string
- The email generated for email alert sources
- Name string
- The name of the alert source
- Owner
Group []stringIds - List of team IDs that will own the alert source
- Resolution
Rule AlertsAttributes Source Resolution Rule Attributes Args - Provide additional attributes for email alerts source
- Secret string
- The secret used to authenticate non-email alert sources
- Source
Type string - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - Sourceable
Attributes AlertsSource Sourceable Attributes Args - Provide additional attributes for generic*webhook alerts source
- Status string
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - Webhook
Endpoint string - The webhook URL generated for non-email alert sources
- alert
Source List<AlertsFields Attributes Source Alert Source Fields Attribute> - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- alert
Source List<AlertsUrgency Rules Attributes Source Alert Source Urgency Rules Attribute> - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- alert
Template AlertsAttributes Source Alert Template Attributes - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - alert
Urgency StringId - ID for the default alert urgency assigned to this alert source
- deduplicate
Alerts BooleanBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- deduplication
Key StringKind - Kind of deduplication key.. Value must be one of
payload. - deduplication
Key StringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- deduplication
Key StringRegexp - Regular expression to extract key from value found at key path.
- email String
- The email generated for email alert sources
- name String
- The name of the alert source
- owner
Group List<String>Ids - List of team IDs that will own the alert source
- resolution
Rule AlertsAttributes Source Resolution Rule Attributes - Provide additional attributes for email alerts source
- secret String
- The secret used to authenticate non-email alert sources
- source
Type String - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - sourceable
Attributes AlertsSource Sourceable Attributes - Provide additional attributes for generic*webhook alerts source
- status String
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - webhook
Endpoint String - The webhook URL generated for non-email alert sources
- alert
Source AlertsFields Attributes Source Alert Source Fields Attribute[] - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- alert
Source AlertsUrgency Rules Attributes Source Alert Source Urgency Rules Attribute[] - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- alert
Template AlertsAttributes Source Alert Template Attributes - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - alert
Urgency stringId - ID for the default alert urgency assigned to this alert source
- deduplicate
Alerts booleanBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- deduplication
Key stringKind - Kind of deduplication key.. Value must be one of
payload. - deduplication
Key stringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- deduplication
Key stringRegexp - Regular expression to extract key from value found at key path.
- email string
- The email generated for email alert sources
- name string
- The name of the alert source
- owner
Group string[]Ids - List of team IDs that will own the alert source
- resolution
Rule AlertsAttributes Source Resolution Rule Attributes - Provide additional attributes for email alerts source
- secret string
- The secret used to authenticate non-email alert sources
- source
Type string - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - sourceable
Attributes AlertsSource Sourceable Attributes - Provide additional attributes for generic*webhook alerts source
- status string
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - webhook
Endpoint string - The webhook URL generated for non-email alert sources
- alert_
source_ Sequence[Alertsfields_ attributes Source Alert Source Fields Attribute Args] - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- alert_
source_ Sequence[Alertsurgency_ rules_ attributes Source Alert Source Urgency Rules Attribute Args] - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- alert_
template_ Alertsattributes Source Alert Template Attributes Args - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - alert_
urgency_ strid - ID for the default alert urgency assigned to this alert source
- deduplicate_
alerts_ boolby_ key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- deduplication_
key_ strkind - Kind of deduplication key.. Value must be one of
payload. - deduplication_
key_ strpath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- deduplication_
key_ strregexp - Regular expression to extract key from value found at key path.
- email str
- The email generated for email alert sources
- name str
- The name of the alert source
- owner_
group_ Sequence[str]ids - List of team IDs that will own the alert source
- resolution_
rule_ Alertsattributes Source Resolution Rule Attributes Args - Provide additional attributes for email alerts source
- secret str
- The secret used to authenticate non-email alert sources
- source_
type str - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - sourceable_
attributes AlertsSource Sourceable Attributes Args - Provide additional attributes for generic*webhook alerts source
- status str
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - webhook_
endpoint str - The webhook URL generated for non-email alert sources
- alert
Source List<Property Map>Fields Attributes - List of alert fields to be added to the alert source. Note: This attribute requires the alert field feature to be enabled on your account. Contact Rootly customer support if you need assistance with this feature.
- alert
Source List<Property Map>Urgency Rules Attributes - List of rules that define the conditions under which the alert urgency will be set automatically based on the alert payload
- alert
Template Property MapAttributes - Note that when alert fields are enabled at the team level, alert template attributes cannot be provided. Use
alertSourceFieldsAttributesinstead. - alert
Urgency StringId - ID for the default alert urgency assigned to this alert source
- deduplicate
Alerts BooleanBy Key - Toggle alert deduplication using deduplication key. If enabled, deduplicationkeykind and deduplicationkeypath are required.. Value must be one of true or false
- deduplication
Key StringKind - Kind of deduplication key.. Value must be one of
payload. - deduplication
Key StringPath - Path to deduplication key. This is a JSON Path to extract the deduplication key from the request body.
- deduplication
Key StringRegexp - Regular expression to extract key from value found at key path.
- email String
- The email generated for email alert sources
- name String
- The name of the alert source
- owner
Group List<String>Ids - List of team IDs that will own the alert source
- resolution
Rule Property MapAttributes - Provide additional attributes for email alerts source
- secret String
- The secret used to authenticate non-email alert sources
- source
Type String - The alert source type. Value must be one of
email,appDynamics,catchpoint,datadog,dynatrace,alertmanager,googleCloud,grafana,sentry,genericWebhook,cloudWatch,awsSns,checkly,azure,newRelic,splunk,chronosphere,appOptics,bugSnag,honeycomb,monteCarlo,nagios,prtg. - sourceable
Attributes Property Map - Provide additional attributes for generic*webhook alerts source
- status String
- The status of the alert source. Value must be one of
connected,setupComplete,setupIncomplete. - webhook
Endpoint String - The webhook URL generated for non-email alert sources
Supporting Types
AlertsSourceAlertSourceFieldsAttribute, AlertsSourceAlertSourceFieldsAttributeArgs
- Alert
Field stringId - The ID of the alert field
- Template
Body string - Liquid expression to extract a specific value from the alert's payload for evaluation
- Alert
Field stringId - The ID of the alert field
- Template
Body string - Liquid expression to extract a specific value from the alert's payload for evaluation
- alert
Field StringId - The ID of the alert field
- template
Body String - Liquid expression to extract a specific value from the alert's payload for evaluation
- alert
Field stringId - The ID of the alert field
- template
Body string - Liquid expression to extract a specific value from the alert's payload for evaluation
- alert_
field_ strid - The ID of the alert field
- template_
body str - Liquid expression to extract a specific value from the alert's payload for evaluation
- alert
Field StringId - The ID of the alert field
- template
Body String - Liquid expression to extract a specific value from the alert's payload for evaluation
AlertsSourceAlertSourceUrgencyRulesAttribute, AlertsSourceAlertSourceUrgencyRulesAttributeArgs
- Alert
Urgency stringId - The ID of the alert urgency
- Conditionable
Id string - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- Conditionable
Type string - The type of the conditionable. Value must be one of
AlertField or (empty string). - Json
Path string - JSON path expression to extract a specific value from the alert's payload for evaluation
- Kind string
- The kind of the conditionable. Value must be one of
payload,alertField. - Operator string
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain. - Value string
- Value that the extracted payload data is compared to using the specified operator to determine a match
- Alert
Urgency stringId - The ID of the alert urgency
- Conditionable
Id string - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- Conditionable
Type string - The type of the conditionable. Value must be one of
AlertField or (empty string). - Json
Path string - JSON path expression to extract a specific value from the alert's payload for evaluation
- Kind string
- The kind of the conditionable. Value must be one of
payload,alertField. - Operator string
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain. - Value string
- Value that the extracted payload data is compared to using the specified operator to determine a match
- alert
Urgency StringId - The ID of the alert urgency
- conditionable
Id String - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- conditionable
Type String - The type of the conditionable. Value must be one of
AlertField or (empty string). - json
Path String - JSON path expression to extract a specific value from the alert's payload for evaluation
- kind String
- The kind of the conditionable. Value must be one of
payload,alertField. - operator String
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain. - value String
- Value that the extracted payload data is compared to using the specified operator to determine a match
- alert
Urgency stringId - The ID of the alert urgency
- conditionable
Id string - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- conditionable
Type string - The type of the conditionable. Value must be one of
AlertField or (empty string). - json
Path string - JSON path expression to extract a specific value from the alert's payload for evaluation
- kind string
- The kind of the conditionable. Value must be one of
payload,alertField. - operator string
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain. - value string
- Value that the extracted payload data is compared to using the specified operator to determine a match
- alert_
urgency_ strid - The ID of the alert urgency
- conditionable_
id str - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- conditionable_
type str - The type of the conditionable. Value must be one of
AlertField or (empty string). - json_
path str - JSON path expression to extract a specific value from the alert's payload for evaluation
- kind str
- The kind of the conditionable. Value must be one of
payload,alertField. - operator str
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain. - value str
- Value that the extracted payload data is compared to using the specified operator to determine a match
- alert
Urgency StringId - The ID of the alert urgency
- conditionable
Id String - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- conditionable
Type String - The type of the conditionable. Value must be one of
AlertField or (empty string). - json
Path String - JSON path expression to extract a specific value from the alert's payload for evaluation
- kind String
- The kind of the conditionable. Value must be one of
payload,alertField. - operator String
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain. - value String
- Value that the extracted payload data is compared to using the specified operator to determine a match
AlertsSourceAlertTemplateAttributes, AlertsSourceAlertTemplateAttributesArgs
- Description string
- The alert description.
- External
Url string - The alert URL.
- Title string
- The alert title.
- Description string
- The alert description.
- External
Url string - The alert URL.
- Title string
- The alert title.
- description String
- The alert description.
- external
Url String - The alert URL.
- title String
- The alert title.
- description string
- The alert description.
- external
Url string - The alert URL.
- title string
- The alert title.
- description str
- The alert description.
- external_
url str - The alert URL.
- title str
- The alert title.
- description String
- The alert description.
- external
Url String - The alert URL.
- title String
- The alert title.
AlertsSourceResolutionRuleAttributes, AlertsSourceResolutionRuleAttributesArgs
- Condition
Type string - The type of condition to evaluate to apply auto resolution rule. Value must be one of
all,any. - Conditions
Attributes List<AlertsSource Resolution Rule Attributes Conditions Attribute> - List of conditions to evaluate for auto resolution
- Enabled bool
- Identifier
Json stringPath - JSON path expression to extract unique alert identifier used to match triggered alerts with resolving alerts
- Identifier
Matchable stringId - The ID of the identifier matchable. If identifiermatchabletype is AlertField, this is the ID of the alert field.
- Identifier
Matchable stringType - The type of the identifier matchable. Value must be one of
AlertField. - Identifier
Reference stringKind - The kind of the identifier reference. Value must be one of
payload,alertField. - Identifier
Value stringRegex - Regex group to further specify the part of the string used as a unique identifier
- Condition
Type string - The type of condition to evaluate to apply auto resolution rule. Value must be one of
all,any. - Conditions
Attributes []AlertsSource Resolution Rule Attributes Conditions Attribute - List of conditions to evaluate for auto resolution
- Enabled bool
- Identifier
Json stringPath - JSON path expression to extract unique alert identifier used to match triggered alerts with resolving alerts
- Identifier
Matchable stringId - The ID of the identifier matchable. If identifiermatchabletype is AlertField, this is the ID of the alert field.
- Identifier
Matchable stringType - The type of the identifier matchable. Value must be one of
AlertField. - Identifier
Reference stringKind - The kind of the identifier reference. Value must be one of
payload,alertField. - Identifier
Value stringRegex - Regex group to further specify the part of the string used as a unique identifier
- condition
Type String - The type of condition to evaluate to apply auto resolution rule. Value must be one of
all,any. - conditions
Attributes List<AlertsSource Resolution Rule Attributes Conditions Attribute> - List of conditions to evaluate for auto resolution
- enabled Boolean
- identifier
Json StringPath - JSON path expression to extract unique alert identifier used to match triggered alerts with resolving alerts
- identifier
Matchable StringId - The ID of the identifier matchable. If identifiermatchabletype is AlertField, this is the ID of the alert field.
- identifier
Matchable StringType - The type of the identifier matchable. Value must be one of
AlertField. - identifier
Reference StringKind - The kind of the identifier reference. Value must be one of
payload,alertField. - identifier
Value StringRegex - Regex group to further specify the part of the string used as a unique identifier
- condition
Type string - The type of condition to evaluate to apply auto resolution rule. Value must be one of
all,any. - conditions
Attributes AlertsSource Resolution Rule Attributes Conditions Attribute[] - List of conditions to evaluate for auto resolution
- enabled boolean
- identifier
Json stringPath - JSON path expression to extract unique alert identifier used to match triggered alerts with resolving alerts
- identifier
Matchable stringId - The ID of the identifier matchable. If identifiermatchabletype is AlertField, this is the ID of the alert field.
- identifier
Matchable stringType - The type of the identifier matchable. Value must be one of
AlertField. - identifier
Reference stringKind - The kind of the identifier reference. Value must be one of
payload,alertField. - identifier
Value stringRegex - Regex group to further specify the part of the string used as a unique identifier
- condition_
type str - The type of condition to evaluate to apply auto resolution rule. Value must be one of
all,any. - conditions_
attributes Sequence[AlertsSource Resolution Rule Attributes Conditions Attribute] - List of conditions to evaluate for auto resolution
- enabled bool
- identifier_
json_ strpath - JSON path expression to extract unique alert identifier used to match triggered alerts with resolving alerts
- identifier_
matchable_ strid - The ID of the identifier matchable. If identifiermatchabletype is AlertField, this is the ID of the alert field.
- identifier_
matchable_ strtype - The type of the identifier matchable. Value must be one of
AlertField. - identifier_
reference_ strkind - The kind of the identifier reference. Value must be one of
payload,alertField. - identifier_
value_ strregex - Regex group to further specify the part of the string used as a unique identifier
- condition
Type String - The type of condition to evaluate to apply auto resolution rule. Value must be one of
all,any. - conditions
Attributes List<Property Map> - List of conditions to evaluate for auto resolution
- enabled Boolean
- identifier
Json StringPath - JSON path expression to extract unique alert identifier used to match triggered alerts with resolving alerts
- identifier
Matchable StringId - The ID of the identifier matchable. If identifiermatchabletype is AlertField, this is the ID of the alert field.
- identifier
Matchable StringType - The type of the identifier matchable. Value must be one of
AlertField. - identifier
Reference StringKind - The kind of the identifier reference. Value must be one of
payload,alertField. - identifier
Value StringRegex - Regex group to further specify the part of the string used as a unique identifier
AlertsSourceResolutionRuleAttributesConditionsAttribute, AlertsSourceResolutionRuleAttributesConditionsAttributeArgs
- Conditionable
Id string - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- Conditionable
Type string - The type of the conditionable. Value must be one of
AlertField or (empty string). - Field string
- JSON path expression to extract a specific value from the alert's payload for evaluation
- Kind string
- The kind of the conditionable. Value must be one of
payload,alertField. - Operator string
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain,startsWith,endsWith. - Value string
- Value that the extracted payload data is compared to using the specified operator to determine a match
- Conditionable
Id string - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- Conditionable
Type string - The type of the conditionable. Value must be one of
AlertField or (empty string). - Field string
- JSON path expression to extract a specific value from the alert's payload for evaluation
- Kind string
- The kind of the conditionable. Value must be one of
payload,alertField. - Operator string
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain,startsWith,endsWith. - Value string
- Value that the extracted payload data is compared to using the specified operator to determine a match
- conditionable
Id String - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- conditionable
Type String - The type of the conditionable. Value must be one of
AlertField or (empty string). - field String
- JSON path expression to extract a specific value from the alert's payload for evaluation
- kind String
- The kind of the conditionable. Value must be one of
payload,alertField. - operator String
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain,startsWith,endsWith. - value String
- Value that the extracted payload data is compared to using the specified operator to determine a match
- conditionable
Id string - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- conditionable
Type string - The type of the conditionable. Value must be one of
AlertField or (empty string). - field string
- JSON path expression to extract a specific value from the alert's payload for evaluation
- kind string
- The kind of the conditionable. Value must be one of
payload,alertField. - operator string
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain,startsWith,endsWith. - value string
- Value that the extracted payload data is compared to using the specified operator to determine a match
- conditionable_
id str - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- conditionable_
type str - The type of the conditionable. Value must be one of
AlertField or (empty string). - field str
- JSON path expression to extract a specific value from the alert's payload for evaluation
- kind str
- The kind of the conditionable. Value must be one of
payload,alertField. - operator str
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain,startsWith,endsWith. - value str
- Value that the extracted payload data is compared to using the specified operator to determine a match
- conditionable
Id String - The ID of the conditionable. If conditionableType is AlertField, this is the ID of the alert field.
- conditionable
Type String - The type of the conditionable. Value must be one of
AlertField or (empty string). - field String
- JSON path expression to extract a specific value from the alert's payload for evaluation
- kind String
- The kind of the conditionable. Value must be one of
payload,alertField. - operator String
- Comparison operator used to evaluate the extracted value against the specified condition. Value must be one of
is,isNot,contains,doesNotContain,startsWith,endsWith. - value String
- Value that the extracted payload data is compared to using the specified operator to determine a match
AlertsSourceSourceableAttributes, AlertsSourceSourceableAttributesArgs
- Accept
Threaded boolEmails - Set this to false to reject threaded emails. Value must be one of true or false
- Auto
Resolve bool - Set this to true to auto-resolve alerts based on fieldmappingsattributes conditions. Value must be one of true or false
- Field
Mappings List<AlertsAttributes Source Sourceable Attributes Field Mappings Attribute> - Specify rules to auto resolve alerts
- Resolve
State string - This value is matched with the value extracted from alerts payload using JSON path in fieldmappingsattributes
- Accept
Threaded boolEmails - Set this to false to reject threaded emails. Value must be one of true or false
- Auto
Resolve bool - Set this to true to auto-resolve alerts based on fieldmappingsattributes conditions. Value must be one of true or false
- Field
Mappings []AlertsAttributes Source Sourceable Attributes Field Mappings Attribute - Specify rules to auto resolve alerts
- Resolve
State string - This value is matched with the value extracted from alerts payload using JSON path in fieldmappingsattributes
- accept
Threaded BooleanEmails - Set this to false to reject threaded emails. Value must be one of true or false
- auto
Resolve Boolean - Set this to true to auto-resolve alerts based on fieldmappingsattributes conditions. Value must be one of true or false
- field
Mappings List<AlertsAttributes Source Sourceable Attributes Field Mappings Attribute> - Specify rules to auto resolve alerts
- resolve
State String - This value is matched with the value extracted from alerts payload using JSON path in fieldmappingsattributes
- accept
Threaded booleanEmails - Set this to false to reject threaded emails. Value must be one of true or false
- auto
Resolve boolean - Set this to true to auto-resolve alerts based on fieldmappingsattributes conditions. Value must be one of true or false
- field
Mappings AlertsAttributes Source Sourceable Attributes Field Mappings Attribute[] - Specify rules to auto resolve alerts
- resolve
State string - This value is matched with the value extracted from alerts payload using JSON path in fieldmappingsattributes
- accept_
threaded_ boolemails - Set this to false to reject threaded emails. Value must be one of true or false
- auto_
resolve bool - Set this to true to auto-resolve alerts based on fieldmappingsattributes conditions. Value must be one of true or false
- field_
mappings_ Sequence[Alertsattributes Source Sourceable Attributes Field Mappings Attribute] - Specify rules to auto resolve alerts
- resolve_
state str - This value is matched with the value extracted from alerts payload using JSON path in fieldmappingsattributes
- accept
Threaded BooleanEmails - Set this to false to reject threaded emails. Value must be one of true or false
- auto
Resolve Boolean - Set this to true to auto-resolve alerts based on fieldmappingsattributes conditions. Value must be one of true or false
- field
Mappings List<Property Map>Attributes - Specify rules to auto resolve alerts
- resolve
State String - This value is matched with the value extracted from alerts payload using JSON path in fieldmappingsattributes
AlertsSourceSourceableAttributesFieldMappingsAttribute, AlertsSourceSourceableAttributesFieldMappingsAttributeArgs
Import
rootly.AlertsSource can be imported using the import command.
$ pulumi import rootly:index/alertsSource:AlertsSource primary a816421c-6ceb-481a-87c4-585e47451f24
Or using an import block.
Locate the resource id in the web app, or retrieve it by listing resources through the API if it’s not visible in the web app.
HCL can be generated from the import block using the -generate-config-out flag.
pulumi preview -generate-config-out=generated.tf
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- rootly rootlyhq/pulumi-rootly
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
rootlyTerraform Provider.
published on Thursday, May 7, 2026 by rootlyhq
